Bug 487897 - network service does not work: forcedeth 0000:00:04.0: DMA-API: device driver tries to free DMA memory ...
network service does not work: forcedeth 0000:00:04.0: DMA-API: device drive...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 487882
  Show dependency treegraph
 
Reported: 2009-02-28 21:27 EST by Antonio A. Olivares
Modified: 2010-06-28 07:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio A. Olivares 2009-02-28 21:27:54 EST
Description of problem:
Network service does not work.  


Version-Release number of selected component (if applicable):
2.6.29-0.159.rc6.git3.fc11.i586 

How reproducible:
Start Fedora normally with network service and NetworkManager disabled. 


Steps to Reproduce:
1. log in normally
2. network service enabled and NetworkManager disabled
3. network service does not work
  
Actual results:
does not work get a bug: 
eth0: no link during initialization.                                            
ADDRCONF(NETDEV_UP): eth0: link is not ready                                    
eth0: link up.                                                                  
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready                               
------------[ cut here ]------------                                            
WARNING: at lib/dma-debug.c:461 check_unmap+0xf6/0x3d8() (Not tainted)          
Hardware name: System product name                                              
forcedeth 0000:00:04.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x000000001048ea72] [size=90 bytes]                
Modules linked in: fuse nouveau drm sco bridge stp llc bnep l2cap bluetooth autofs4 sunrpc nf_conntrack_netbios_ns iptable_nat nf_nat ip6t_REJECT ip6table_filter ip6_tables ipv6 uinput snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss i2c_nforce2 3c59x i2c_core snd_pcm forcedeth mii snd_timer snd usblp pcspkr soundcore snd_page_alloc pata_ali sata_vsc sata_svw sata_via pata_pcmcia sata_nv ata_generic pata_acpi pata_amd [last unloaded: scsi_wait_scan]                         
Pid: 0, comm: swapper Not tainted 2.6.29-0.159.rc6.git3.fc11.i586 #1            
Call Trace:                                                                     
[<c042fe03>] warn_slowpath+0x7c/0xa7                                           
[<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
[<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
[<c044ffed>] ? check_usage+0x29/0x20a                                          
[<c044f686>] ? mark_lock+0x1e/0x30b                                            
[<c054a200>] ? task_current_syscall+0x7a/0x8e                                  
[<c054a2ee>] ? get_hash_bucket+0x26/0x2f                                       
[<c054aa52>] check_unmap+0xf6/0x3d8                                            
[<c0430313>] ? release_console_sem+0x1a9/0x1d6                                 
[<c044f686>] ? mark_lock+0x1e/0x30b                                            
[<c054aea1>] debug_dma_unmap_page+0x5b/0x63                                    
[<c054aea1>] ? debug_dma_unmap_page+0x5b/0x63                                  
[<f0eea3e6>] T.907+0x34/0x3f [forcedeth]                                       
[<f0eea42c>] nv_tx_done+0x3b/0x187 [forcedeth]                                 
[<f0eea61c>] nv_nic_irq+0xa4/0x238 [forcedeth]                                 
[<c047105b>] handle_IRQ_event+0x22/0x58                                        
[<c047247c>] handle_fasteoi_irq+0x80/0xb7                                      
[<c04723fc>] ? handle_fasteoi_irq+0x0/0xb7                                     
<IRQ>  [<c04045ac>] ? common_interrupt+0x2c/0x40                               
[<c044fbc2>] ? trace_hardirqs_on+0xb/0xd                                       
[<c041b94c>] ? native_safe_halt+0xa/0xc                                        
[<c0409703>] ? default_idle+0x4f/0x89                                          
[<c044ee6d>] ? trace_hardirqs_off+0xb/0xd                                      
[<c0403010>] ? cpu_idle+0x72/0x92                                              
[<c06df85f>] ? rest_init+0x53/0x55                                             
---[ end trace 8157a52088604c67 ]---                                            
eth0: no IPv6 routers present                                                   
eth1:  setting half-duplex.                                                     
ADDRCONF(NETDEV_UP): eth1: link is not ready      

Expected results:
To work as it has for the past several years.  


Additional info:
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)

[root@localhost ~]# service network status
Configured devices:                       
lo eth0 eth1                              
Currently active devices:                 
lo                                        
[root@localhost ~]# uname -r              
2.6.29-0.159.rc6.git3.fc11.i586           
[root@localhost ~]# service network start 
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                        
Determining IP information for eth0... failed.                     
                                                           [FAILED]
Bringing up interface eth1:                                [  OK  ]
You have new mail in /var/spool/mail/root                          
[root@localhost ~]# tail -f /var/log/messages                      
Feb 27 13:02:21 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 11                                                                 
Feb 27 13:02:32 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 19                                                                 
Feb 27 13:02:51 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15                                                                 
Feb 27 13:03:06 localhost dhclient: No DHCPOFFERS received.                     
Feb 27 13:03:06 localhost kernel: eth1:  setting half-duplex.                   
Feb 27 13:03:06 localhost kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready  
Feb 27 13:03:11 localhost avahi-daemon[1993]: Joining mDNS multicast group on interface eth1.IPv4 with address 192.168.0.1.                                     
Feb 27 13:03:11 localhost avahi-daemon[1993]: New relevant interface eth1.IPv4 for mDNS.                                                                        
Feb 27 13:03:11 localhost avahi-daemon[1993]: Registering new address record for 192.168.0.1 on eth1.IPv4.                                                      
Feb 27 13:03:12 localhost ntpd[1869]: Listening on interface #5 eth1, 192.168.0.1#123 Enabled                                                                   
^C            


00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)

[root@localhost ~]# service network status
Configured devices:                       
lo eth0 eth1                              
Currently active devices:                 
lo                                        
[root@localhost ~]# uname -r              
2.6.29-0.159.rc6.git3.fc11.i586           
[root@localhost ~]# service network start 
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                        
Determining IP information for eth0... failed.                     
                                                           [FAILED]
Bringing up interface eth1:                                [  OK  ]
You have new mail in /var/spool/mail/root                          
[root@localhost ~]# tail -f /var/log/messages                      
Feb 27 13:02:21 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 11                                                                 
Feb 27 13:02:32 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 19                                                                 
Feb 27 13:02:51 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15                                                                 
Feb 27 13:03:06 localhost dhclient: No DHCPOFFERS received.                     
Feb 27 13:03:06 localhost kernel: eth1:  setting half-duplex.                   
Feb 27 13:03:06 localhost kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready  
Feb 27 13:03:11 localhost avahi-daemon[1993]: Joining mDNS multicast group on interface eth1.IPv4 with address 192.168.0.1.                                     
Feb 27 13:03:11 localhost avahi-daemon[1993]: New relevant interface eth1.IPv4 for mDNS.                                                                        
Feb 27 13:03:11 localhost avahi-daemon[1993]: Registering new address record for 192.168.0.1 on eth1.IPv4.                                                      
Feb 27 13:03:12 localhost ntpd[1869]: Listening on interface #5 eth1, 192.168.0.1#123 Enabled                                                                   
^C                                                                              
[root@localhost ~]# dmesg                                                       
Initializing cgroup subsys cpuset                                               
Initializing cgroup subsys cpu                                                  
Linux version 2.6.29-0.159.rc6.git3.fc11.i586 (mockbuild@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.4.0 20090219 (Red Hat 4.4.0-0.21) (GCC) ) #1 SMP Thu Feb 26 12:14:21 EST 2009                                                        
KERNEL supported cpus:                                                          
  Intel GenuineIntel                                                            
  AMD AuthenticAMD                                                              
  NSC Geode by NSC                                                              
  Cyrix CyrixInstead                                                            
  Centaur CentaurHauls                                                          
  Transmeta GenuineTMx86                                                        
  Transmeta TransmetaCPU                                                        
  UMC UMC UMC UMC                                                               
BIOS-provided physical RAM map:                                                 
BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)                        
BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)                      
BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)                      
BIOS-e820: 0000000000100000 - 000000002ffd0000 (usable)                        
BIOS-e820: 000000002ffd0000 - 000000002ffdf000 (ACPI data)                     
BIOS-e820: 000000002ffdf000 - 0000000030000000 (ACPI NVS)                      
BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)                      
BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)                      
BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)                      
DMI 2.3 present.                                                                
AMI BIOS detected: BIOS may corrupt low RAM, working around it.                 
last_pfn = 0x2ffd0 max_arch_pfn = 0x100000                                      
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106                
kernel direct mapping tables up to 2ffd0000 @ 10000-16000                       
Using x86 segment limits to approximate NX protection                           
RAMDISK: 2fc86000 - 2ffbfc47                                                    
ACPI: RSDP 000F97A0, 0014 (r0 ACPIAM)                                           
ACPI: RSDT 2FFD0000, 0030 (r1 A M I  OEMRSDT  11000325 MSFT       97)           
ACPI: FACP 2FFD0200, 0081 (r2 A M I  OEMFACP  11000325 MSFT       97)           
FADT: X_PM1a_EVT_BLK.bit_width (16) does not match PM1_EVT_LEN (4)              
ACPI: DSDT 2FFD03F0, 39BF (r1  A0007 A0007000        1 INTL  2002026)           
ACPI: FACS 2FFDF000, 0040                                                       
ACPI: APIC 2FFD0390, 005E (r1 A M I  OEMAPIC  11000325 MSFT       97)           
ACPI: OEMB 2FFDF040, 0041 (r1 A M I  OEMBIOS  11000325 MSFT       97)           
ACPI: Local APIC address 0xfee00000                                             
0MB HIGHMEM available.                                                          
767MB LOWMEM available.                                                         
  mapped low ram: 0 - 2ffd0000                                                  
  low ram: 00000000 - 2ffd0000                                                  
  bootmap 00011000 - 00016ffc                                                   
(9 early reservations) ==> bootmem [0000000000 - 002ffd0000]                    
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]   
  #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]   
  #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]   
  #3 [0000400000 - 0000fd6bac]    TEXT DATA BSS ==> [0000400000 - 0000fd6bac]   
  #4 [002fc86000 - 002ffbfc47]          RAMDISK ==> [002fc86000 - 002ffbfc47]   
  #5 [0000fd7000 - 0000fdc000]    INIT_PG_TABLE ==> [0000fd7000 - 0000fdc000]   
  #6 [000009fc00 - 0000100000]    BIOS reserved ==> [000009fc00 - 0000100000]   
  #7 [0000010000 - 0000011000]          PGTABLE ==> [0000010000 - 0000011000]   
  #8 [0000011000 - 0000017000]          BOOTMAP ==> [0000011000 - 0000017000]   
Zone PFN ranges:                                                                
  DMA      0x00000010 -> 0x00001000                                             
  Normal   0x00001000 -> 0x0002ffd0                                             
  HighMem  0x0002ffd0 -> 0x0002ffd0                                             
Movable zone start PFN for each node                                            
early_node_map[2] active PFN ranges                                             
    0: 0x00000010 -> 0x0000009f                                                 
    0: 0x00000100 -> 0x0002ffd0                                                 
On node 0 totalpages: 196447                                                    
free_area_init_node: node 0, pgdat c0898400, node_mem_map c10003c0              
  DMA zone: 60 pages used for memmap                                            
  DMA zone: 0 pages reserved                                                    
  DMA zone: 3923 pages, LIFO batch:0                                            
  Normal zone: 2820 pages used for memmap                                       
  Normal zone: 189644 pages, LIFO batch:31                                      
Using APIC driver default                                                       
Nvidia board detected. Ignoring ACPI timer override.                            
If you got timer trouble try acpi_use_timer_override                            
ACPI: PM-Timer IO Port: 0x4008                                                  
ACPI: Local APIC address 0xfee00000                                             
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)                              
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])                         
IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23                  
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)                     
ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq 14 high edge)                    
ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq 15 high edge)                    
ACPI: IRQ9 used by override.                                                    
ACPI: IRQ14 used by override.                                                   
ACPI: IRQ15 used by override.                                                   
Enabling APIC mode:  Flat.  Using 1 I/O APICs                                   
Using ACPI (MADT) for SMP configuration information                             
SMP: Allowing 1 CPUs, 0 hotplug CPUs                                            
nr_irqs_gsi: 24                                                                 
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000               
PM: Registered nosave memory: 00000000000a0000 - 00000000000e0000               
PM: Registered nosave memory: 00000000000e0000 - 0000000000100000               
Allocating PCI resources starting at 40000000 (gap: 30000000:cec00000)          
NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1                        
PERCPU: Allocating 1351680 bytes of per cpu data                                
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 193567     
Kernel command line: ro root=/dev/VolGroup00/LogVol00                           
Enabling fast FPU save and restore... done.                                     
Enabling unmasked SIMD FPU exception support... done.                           
Initializing CPU#0                                                              
CPU 0 irqstacks, hard=c0a9e000 soft=c0a7e000                                    
PID hash table entries: 4096 (order: 12, 16384 bytes)                           
Fast TSC calibration using PIT                                                  
Detected 1913.350 MHz processor.                                                
Console: colour VGA+ 80x25                                                      
console [tty0] enabled                                                          
Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar        
... MAX_LOCKDEP_SUBCLASSES:  8                                                  
... MAX_LOCK_DEPTH:          48                                                 
... MAX_LOCKDEP_KEYS:        8191                                               
... CLASSHASH_SIZE:          4096                                               
... MAX_LOCKDEP_ENTRIES:     8192                                               
... MAX_LOCKDEP_CHAINS:      16384                                              
... CHAINHASH_SIZE:          8192                                               
memory used by lock dependency info: 2591 kB                                   
per task-struct memory footprint: 1920 bytes                                   
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)                
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)                  
allocated 3930880 bytes of page_cgroup                                          
please try cgroup_disable=memory option if you don't want                       
Memory: 752564k/786240k available (3027k kernel code, 33056k reserved, 1919k data, 1672k init, 0k highmem)                                                      
virtual kernel memory layout:                                                   
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)                               
    pkmap   : 0xff400000 - 0xff800000   (4096 kB)                               
    vmalloc : 0xf07d0000 - 0xff3fe000   ( 236 MB)                               
    lowmem  : 0xc0000000 - 0xeffd0000   ( 767 MB)                               
      .init : 0xc08d9000 - 0xc0a7b000   (1672 kB)                               
      .data : 0xc06f4e5a - 0xc08d4df0   (1919 kB)                               
      .text : 0xc0400000 - 0xc06f4e5a   (3027 kB)                               
Checking if this processor honours the WP bit even in supervisor mode...Ok.     
SLUB: Genslabs=12, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1         
Calibrating delay loop (skipped), value calculated using timer frequency.. 3826.70 BogoMIPS (lpj=1913350)                                                       
Security Framework initialized                                                  
SELinux:  Initializing.                                                         
SELinux:  Starting in permissive mode                                           
Mount-cache hash table entries: 512                                             
Initializing cgroup subsys ns                                                   
Initializing cgroup subsys cpuacct                                              
Initializing cgroup subsys memory                                               
Initializing cgroup subsys devices                                              
Initializing cgroup subsys freezer                                              
Initializing cgroup subsys net_cls                                              
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)               
CPU: L2 Cache: 512K (64 bytes/line)                                             
Intel machine check architecture supported.                                     
Intel machine check reporting enabled on CPU#0.                                 
Checking 'hlt' instruction... OK.                                               
SMP alternatives: switching to UP code                                          
Freeing SMP alternatives: 11k freed                                             
ACPI: Core revision 20081204                                                    
ftrace: converting mcount calls to 0f 1f 44 00 00                               
ftrace: allocating 17484 entries in 69 pages                                    
..TIMER: vector=0x30 apic1=0 pin1=0 apic2=-1 pin2=-1                            
CPU0: AMD Athlon(tm) XP  2600+ stepping 00                                      
APIC calibration not consistent with PM Timer: 98ms instead of 100ms            
APIC delta adjusted to PM-Timer: 2079540 (2058464)                              
Brought up 1 CPUs                                                               
Total of 1 processors activated (3826.70 BogoMIPS).                             
sizeof(vma)=84 bytes                                                            
sizeof(page)=60 bytes                                                           
sizeof(inode)=648 bytes                                                         
sizeof(dentry)=164 bytes                                                        
sizeof(ext3inode)=916 bytes                                                     
sizeof(buffer_head)=56 bytes                                                    
sizeof(skbuff)=184 bytes                                                        
sizeof(task_struct)=5308 bytes                                                  
CPU0 attaching NULL sched-domain.                                               
khelper used greatest stack depth: 2996 bytes left                              
net_namespace: 1240 bytes                                                       
Booting paravirtualized kernel on bare hardware                                 
regulator: core version 0.5                                                     
Time: 18:58:24  Date: 02/27/09                                                  
NET: Registered protocol family 16                                              
ACPI: bus type pci registered                                                   
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=2                        
PCI: Using configuration type 1 for base access                                 
bio: create slab <bio-0> at 0                                                   
ACPI: EC: Look up EC in DSDT                                                    
ACPI: Denied BIOS AML access to invalid port 0x21+0x1 (PIC0)                    
ACPI Exception (dsopcode-0419): AE_AML_ILLEGAL_ADDRESS, During address validation of OpRegion [IRQM] [20081204]                                                 
ACPI: Interpreter enabled                                                       
ACPI: (supports S0 S1 S3 S4 S5)                                                 
ACPI: Using IOAPIC for interrupt routing                                        
ACPI: No dock devices found.                                                    
ACPI: PCI Root Bridge [PCI0] (0000:00)                                          
pci 0000:00:00.0: reg 10 32bit mmio: [0xf4000000-0xf7ffffff]                    
pci 0000:00:00.0: nForce2 C1 Halt Disconnect fixup                              
pci 0000:00:01.1: reg 10 io port: [0xef80-0xef9f]                               
pci 0000:00:01.1: PME# supported from D3hot D3cold                              
pci 0000:00:01.1: PME# disabled                                                 
pci 0000:00:02.0: reg 10 32bit mmio: [0xfe900000-0xfe900fff]                    
pci 0000:00:02.0: supports D1 D2                                                
pci 0000:00:02.0: PME# supported from D0 D1 D2 D3hot D3cold                     
pci 0000:00:02.0: PME# disabled                                                 
pci 0000:00:02.1: reg 10 32bit mmio: [0xfea00000-0xfea00fff]                    
pci 0000:00:02.1: supports D1 D2                                                
pci 0000:00:02.1: PME# supported from D0 D1 D2 D3hot D3cold                     
pci 0000:00:02.1: PME# disabled                                                 
pci 0000:00:02.2: reg 10 32bit mmio: [0xfeb00000-0xfeb000ff]                    
pci 0000:00:02.2: supports D1 D2                                                
pci 0000:00:02.2: PME# supported from D0 D1 D2 D3hot D3cold                     
pci 0000:00:02.2: PME# disabled                                                 
pci 0000:00:04.0: reg 10 32bit mmio: [0xfe800000-0xfe800fff]                    
pci 0000:00:04.0: reg 14 io port: [0xeff0-0xeff7]                               
pci 0000:00:04.0: supports D1 D2                                                
pci 0000:00:04.0: PME# supported from D0 D1 D2 D3hot D3cold                     
pci 0000:00:04.0: PME# disabled                                                 
pci 0000:00:06.0: reg 10 io port: [0xe800-0xe8ff]                               
pci 0000:00:06.0: reg 14 io port: [0xec00-0xec7f]                               
pci 0000:00:06.0: reg 18 32bit mmio: [0xfe700000-0xfe700fff]                    
pci 0000:00:06.0: supports D1 D2                                                
pci 0000:00:09.0: reg 20 io port: [0xffa0-0xffaf]                               
pci 0000:01:08.0: reg 10 io port: [0xdf00-0xdf3f]                               
pci 0000:01:08.0: reg 30 32bit mmio: [0xfbe00000-0xfbe0ffff]                    
pci 0000:00:08.0: bridge io port: [0xd000-0xdfff]                               
pci 0000:00:08.0: bridge 32bit mmio: [0xfbd00000-0xfbefffff]                    
pci 0000:02:00.0: reg 10 32bit mmio: [0xfd000000-0xfdffffff]                    
pci 0000:02:00.0: reg 14 32bit mmio: [0xe8000000-0xefffffff]                    
pci 0000:02:00.0: reg 30 32bit mmio: [0xfe000000-0xfe01ffff]                    
pci 0000:00:1e.0: bridge 32bit mmio: [0xfbf00000-0xfe0fffff]                    
pci 0000:00:1e.0: bridge 32bit mmio pref: [0xe3c00000-0xf3bfffff]               
pci_bus 0000:00: on NUMA node 0                                                 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]                             
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]                        
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]                        
ACPI: PCI Interrupt Link [LNKA] (IRQs 16) *0, disabled.                         
ACPI: PCI Interrupt Link [LNKB] (IRQs 18) *11                                   
ACPI: PCI Interrupt Link [LNKC] (IRQs 18) *11                                   
ACPI: PCI Interrupt Link [LNKD] (IRQs 19) *0, disabled.                         
ACPI: PCI Interrupt Link [LNKE] (IRQs 16) *0, disabled.                         
ACPI: PCI Interrupt Link [LUS0] (IRQs 20 21 22) *10                             
ACPI: PCI Interrupt Link [LUS1] (IRQs 20 21 22) *7                              
ACPI: PCI Interrupt Link [LUS2] (IRQs 20 21 22) *5                              
ACPI: PCI Interrupt Link [LKLN] (IRQs 20 21 22) *11                             
ACPI: PCI Interrupt Link [LAPU] (IRQs 20 21 22) *0, disabled.                   
ACPI: PCI Interrupt Link [LAUI] (IRQs 20 21 22) *11                             
ACPI: PCI Interrupt Link [LKMO] (IRQs 20 21 22) *0, disabled.                   
ACPI: PCI Interrupt Link [LKSM] (IRQs 23) *10                                   
ACPI: PCI Interrupt Link [LFWR] (IRQs 20 21 22) *0, disabled.                   
ACPI: PCI Interrupt Link [LETH] (IRQs 20 21 22) *0, disabled.                   
ACPI: PCI Interrupt Link [LATA] (IRQs 20 21 22) *14                             
ACPI Warning (tbutils-0242): Incorrect checksum in table [OEMB] - 76, should be 6B [20081204]                                                                   
SCSI subsystem initialized                                                      
libata version 3.00 loaded.                                                     
usbcore: registered new interface driver usbfs                                  
usbcore: registered new interface driver hub                                    
usbcore: registered new device driver usb                                       
PCI: Using ACPI for IRQ routing                                                 
NetLabel: Initializing                                                          
NetLabel:  domain hash size = 128                                               
NetLabel:  protocols = UNLABELED CIPSOv4                                        
NetLabel:  unlabeled traffic allowed by default                                 
DMA-API: preallocated 8192 debug entries                                        
DMA-API: debugging enabled by kernel config                                     
pnp: PnP ACPI init                                                              
ACPI: bus type pnp registered                                                   
pnp: PnP ACPI: found 14 devices                                                 
ACPI: ACPI bus type pnp unregistered                                            
system 00:06: ioport range 0x4d0-0x4d1 has been reserved                        
system 00:07: iomem range 0xfec00000-0xfec00fff has been reserved               
system 00:07: iomem range 0xfee00000-0xfeefffff could not be reserved           
system 00:07: iomem range 0xff780000-0xff7bffff has been reserved               
system 00:0a: ioport range 0x480-0x487 has been reserved                        
system 00:0a: ioport range 0xd00-0xd07 has been reserved                        
system 00:0d: iomem range 0x0-0x9ffff could not be reserved                     
system 00:0d: iomem range 0xc0000-0xdffff could not be reserved                 
system 00:0d: iomem range 0xe0000-0xfffff could not be reserved                 
system 00:0d: iomem range 0x100000-0x2fffffff could not be reserved             
system 00:0d: iomem range 0xff7c0000-0xffffffff has been reserved               
pci 0000:00:08.0: PCI bridge, secondary bus 0000:01                             
pci 0000:00:08.0:   IO window: 0xd000-0xdfff                                    
pci 0000:00:08.0:   MEM window: 0xfbd00000-0xfbefffff                           
pci 0000:00:08.0:   PREFETCH window: disabled                                   
pci 0000:00:1e.0: PCI bridge, secondary bus 0000:02                             
pci 0000:00:1e.0:   IO window: disabled                                         
pci 0000:00:1e.0:   MEM window: 0xfbf00000-0xfe0fffff                           
pci 0000:00:1e.0:   PREFETCH window: 0x000000e3c00000-0x000000f3bfffff          
pci 0000:00:08.0: setting latency timer to 64                                   
pci_bus 0000:00: resource 0 io:  [0x00-0xffff]                                  
pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffff]                          
pci_bus 0000:01: resource 0 io:  [0xd000-0xdfff]                                
pci_bus 0000:01: resource 1 mem: [0xfbd00000-0xfbefffff]                        
pci_bus 0000:01: resource 2 mem: [0x0-0x0]                                      
pci_bus 0000:01: resource 3 mem: [0x0-0x0]                                      
pci_bus 0000:02: resource 0 mem: [0x0-0x0]                                      
pci_bus 0000:02: resource 1 mem: [0xfbf00000-0xfe0fffff]                        
pci_bus 0000:02: resource 2 mem: [0xe3c00000-0xf3bfffff]                        
pci_bus 0000:02: resource 3 mem: [0x0-0x0]                                      
NET: Registered protocol family 2                                               
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)               
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)            
TCP bind hash table entries: 65536 (order: 9, 2621440 bytes)                    
TCP: Hash tables configured (established 131072 bind 65536)                     
TCP reno registered                                                             
NET: Registered protocol family 1                                               
checking if image is initramfs... it is                                         
Freeing initrd memory: 3303k freed                                              
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)                        
apm: overridden by ACPI.                                                        
audit: initializing netlink socket (disabled)                                   
type=2000 audit(1235761103.966:1): initialized                                  
HugeTLB registered 4 MB page size, pre-allocated 0 pages                        
khelper used greatest stack depth: 2776 bytes left                              
VFS: Disk quotas dquot_6.5.2                                                    
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)                      
Created ptmx node in devpts ino 2                                               
msgmni has been set to 1476                                                     
SELinux:  Registering netfilter hooks                                           
alg: No test for stdrng (krng)                                                  
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)            
io scheduler noop registered                                                    
io scheduler cfq registered (default)                                           
pci 0000:02:00.0: Boot video device                                             
pci_hotplug: PCI Hot Plug PCI Core version: 0.5                                 
pciehp: PCI Express Hot Plug Controller Driver version: 0.4                     
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5                       
Switched to high resolution mode on CPU 0                                       
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0       
ACPI: Power Button (FF) [PWRF]                                                  
input: Power Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1                                                                              
ACPI: Power Button (CM) [PWRB]                                                  
processor ACPI_CPU:00: registered as cooling_device0                            
isapnp: Scanning for PnP cards...                                               
isapnp: No Plug & Play device found                                             
Non-volatile memory driver v1.3                                                 
Linux agpgart interface v0.103                                                  
agpgart: Detected NVIDIA nForce2 chipset                                        
agpgart-nvidia 0000:00:00.0: AGP aperture is 64M @ 0xf4000000                   
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled                         
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A                            
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A                            
00:0b: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A                                 
00:0c: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A                                 
brd: module loaded                                                              
loop: module loaded                                                             
Fixed MDIO Bus: probed                                                          
input: Macintosh mouse button emulation as /devices/virtual/input/input2        
Driver 'sd' needs updating - please use bus_type methods                        
Driver 'sr' needs updating - please use bus_type methods                        
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver                      
ACPI: PCI Interrupt Link [LUS2] enabled at IRQ 22                               
ehci_hcd 0000:00:02.2: PCI INT C -> Link[LUS2] -> GSI 22 (level, high) -> IRQ 22
ehci_hcd 0000:00:02.2: setting latency timer to 64                              
ehci_hcd 0000:00:02.2: EHCI Host Controller                                     
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 1            
ehci_hcd 0000:00:02.2: debug port 1                                             
ehci_hcd 0000:00:02.2: cache line size of 64 is not supported                   
ehci_hcd 0000:00:02.2: irq 22, io mem 0xfeb00000                                
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 1.00                               
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002                   
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1              
usb usb1: Product: EHCI Host Controller                                         
usb usb1: Manufacturer: Linux 2.6.29-0.159.rc6.git3.fc11.i586 ehci_hcd          
usb usb1: SerialNumber: 0000:00:02.2                                            
usb usb1: configuration #1 chosen from 1 choice                                 
hub 1-0:1.0: USB hub found                                                      
hub 1-0:1.0: 6 ports detected                                                   
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver                          
ACPI: PCI Interrupt Link [LUS0] enabled at IRQ 21                               
ohci_hcd 0000:00:02.0: PCI INT A -> Link[LUS0] -> GSI 21 (level, high) -> IRQ 21
ohci_hcd 0000:00:02.0: setting latency timer to 64                              
ohci_hcd 0000:00:02.0: OHCI Host Controller                                     
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 2            
ohci_hcd 0000:00:02.0: irq 21, io mem 0xfe900000                                
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001                   
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1              
usb usb2: Product: OHCI Host Controller                                         
usb usb2: Manufacturer: Linux 2.6.29-0.159.rc6.git3.fc11.i586 ohci_hcd          
usb usb2: SerialNumber: 0000:00:02.0                                            
usb usb2: configuration #1 chosen from 1 choice                                 
hub 2-0:1.0: USB hub found                                                      
hub 2-0:1.0: 3 ports detected                                                   
ACPI: PCI Interrupt Link [LUS1] enabled at IRQ 20                               
ohci_hcd 0000:00:02.1: PCI INT B -> Link[LUS1] -> GSI 20 (level, high) -> IRQ 20
ohci_hcd 0000:00:02.1: setting latency timer to 64                              
ohci_hcd 0000:00:02.1: OHCI Host Controller                                     
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 3            
ohci_hcd 0000:00:02.1: irq 20, io mem 0xfea00000                                
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001                   
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1              
usb usb3: Product: OHCI Host Controller                                         
usb usb3: Manufacturer: Linux 2.6.29-0.159.rc6.git3.fc11.i586 ohci_hcd          
usb usb3: SerialNumber: 0000:00:02.1                                            
usb usb3: configuration #1 chosen from 1 choice                                 
hub 3-0:1.0: USB hub found                                                      
hub 3-0:1.0: 3 ports detected                                                   
uhci_hcd: USB Universal Host Controller Interface driver                        
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f12:PS2M] at 0x60,0x64 irq 1,12          
serio: i8042 KBD port at 0x60,0x64 irq 1                                        
serio: i8042 AUX port at 0x60,0x64 irq 12                                       
mice: PS/2 mouse device common for all mice                                     
rtc_cmos 00:02: RTC can wake from S4                                            
rtc_cmos 00:02: rtc core: registered rtc_cmos as rtc0                           
rtc0: alarms up to one year, y3k, 114 bytes nvram                               
device-mapper: uevent: version 1.0.3                                            
device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
cpuidle: using governor ladder                                                  
cpuidle: using governor menu                                                    
usbcore: registered new interface driver hiddev                                 
usbcore: registered new interface driver usbhid                                 
usbhid: v2.6:USB HID core driver                                                
nf_conntrack version 0.5.0 (12285 buckets, 49140 max)                           
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use            
nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module option or      
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.                          
ip_tables: (C) 2000-2006 Netfilter Core Team                                    
TCP cubic registered                                                            
Initializing XFRM netlink socket                                                
NET: Registered protocol family 17                                              
Using IPI No-Shortcut mode                                                      
registered taskstats version 1                                                  
  Magic number: 13:356:1000                                                     
pnp1: hash matches                                                             
rtc_cmos 00:02: hash matches                                                    
Freeing unused kernel memory: 1672k freed                                       
Write protecting the kernel read-only data: 1448k                               
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3                                                                              
setfont used greatest stack depth: 2736 bytes left                              
psmouse serio1: ID: 10 00 64<7>pata_amd 0000:00:09.0: version 0.4.1             
pata_amd 0000:00:09.0: setting latency timer to 64                              
scsi0 : pata_amd                                                                
scsi1 : pata_amd                                                                
ata1: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xffa0 irq 14                 
ata2: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xffa8 irq 15                 
usb 2-2: new full speed USB device using ohci_hcd and address 2                 
ata1.00: ATA-7: MAXTOR STM3320620A, 3.AAD, max UDMA/100                         
ata1.00: 625142448 sectors, multi 16: LBA48                                     
ata1: nv_mode_filter: 0x3f39f&0x3f01f->0x3f01f, BIOS=0x3f000 (0xc600c0c0) ACPI=0x3f01f (17:120:0x11)                                                            
usb 2-2: New USB device found, idVendor=03f0, idProduct=0304                    
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3               
usb 2-2: Product: DeskJet 810C                                                  
usb 2-2: Manufacturer: Hewlett-Packard                                          
usb 2-2: SerialNumber: MY94M1621WGI                                             
usb 2-2: configuration #1 chosen from 1 choice                                  
ata1.00: configured for UDMA/100                                                
scsi 0:0:0:0: Direct-Access     ATA      MAXTOR STM332062 3.AA PQ: 0 ANSI: 5    
sd 0:0:0:0: [sda] 625142448 512-byte hardware sectors: (320 GB/298 GiB)         
sd 0:0:0:0: [sda] Write Protect is off                                          
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00                                       
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA                                                                         
sd 0:0:0:0: [sda] 625142448 512-byte hardware sectors: (320 GB/298 GiB)         
sd 0:0:0:0: [sda] Write Protect is off                                          
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00                                       
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA                                                                         
sda: sda1 sda2 < sda5 sda6 > sda3 sda4                                         
sd 0:0:0:0: [sda] Attached SCSI disk                                            
sd 0:0:0:0: Attached scsi generic sg0 type 0                                    
input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input4
ata2.00: ATAPI: TSSTcorpCD/DVDW SH-S182D, SB03, max UDMA/33                     
ata2.01: ATAPI: SONY    CD-RW  CRX216E, PD01, max UDMA/33                       
ata2: nv_mode_filter: 0x739f&0x701f->0x701f, BIOS=0x7000 (0xc600c0c0) ACPI=0x701f (54:54:0x15)                                                                  
ata2: nv_mode_filter: 0x739f&0x701f->0x701f, BIOS=0x7000 (0xc600c0c0) ACPI=0x701f (54:54:0x15)                                                                  
ata2.00: configured for UDMA/33                                                 
ata2.01: configured for UDMA/33                                                 
scsi 1:0:0:0: CD-ROM            TSSTcorp CD/DVDW SH-S182D SB03 PQ: 0 ANSI: 5    
sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray           
Uniform CD-ROM driver Revision: 3.20                                            
sr 1:0:0:0: Attached scsi CD-ROM sr0                                            
sr 1:0:0:0: Attached scsi generic sg1 type 5                                    
scsi 1:0:1:0: CD-ROM            SONY     CD-RW  CRX216E   PD01 PQ: 0 ANSI: 5    
sr1: scsi3-mmc drive: 88x/48x writer cd/rw xa/form2 cdda tray                   
sr 1:0:1:0: Attached scsi CD-ROM sr1                                            
sr 1:0:1:0: Attached scsi generic sg2 type 5                                    
modprobe used greatest stack depth: 800 bytes left                              
kjournald starting.  Commit interval 5 seconds                                  
EXT3-fs: mounted filesystem with ordered data mode.                             
type=1404 audit(1235761110.651:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295                                                                   
SELinux: 8192 avtab hash slots, 118978 rules.                                   
SELinux: 8192 avtab hash slots, 118978 rules.                                   
SELinux:  8 users, 13 roles, 2732 types, 120 bools, 1 sens, 1024 cats           
SELinux:  74 classes, 118978 rules                                              
SELinux:  Completing initialization.                                            
SELinux:  Setting up existing superblocks.                                      
SELinux: initialized (dev dm-0, type ext3), uses xattr                          
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs              
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts               
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts       
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs            
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts       
SELinux: initialized (dev devpts, type devpts), uses transition SIDs            
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts       
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs              
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts 
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs                  
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts           
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs                  
SELinux: initialized (dev proc, type proc), uses genfs_contexts                 
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts                 
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts             
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts               
type=1403 audit(1235761111.477:3): policy loaded auid=4294967295 ses=4294967295 
udev: starting version 137                                                      
input: PC Speaker as /devices/platform/pcspkr/input/input5                      
usblp0: Disabling reads from problematic bidirectional printer                  
usblp0: USB Unidirectional printer dev 2 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0304                                                                               
usbcore: registered new interface driver usblp                                  
forcedeth: Reverse Engineered nForce ethernet driver. Version 0.62.             
ACPI: PCI Interrupt Link [LKLN] enabled at IRQ 22                               
forcedeth 0000:00:04.0: PCI INT A -> Link[LKLN] -> GSI 22 (level, high) -> IRQ 22                                                                               
forcedeth 0000:00:04.0: setting latency timer to 64                             
nv_probe: set workaround bit for reversed mac addr                              
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 18                               
3c59x 0000:01:08.0: PCI INT A -> Link[LNKC] -> GSI 18 (level, high) -> IRQ 18   
3c59x: Donald Becker and others.                                                
0000:01:08.0: 3Com PCI 3c905 Boomerang 100baseTx at 0001df00.                   
eth0 (3c59x): not using net_device_ops yet                                      
forcedeth 0000:00:04.0: ifname eth1, PHY OUI 0x732 @ 1, addr 00:0e:a6:42:59:af  
forcedeth 0000:00:04.0: timirq lnktim desc-v1                                   
i2c-adapter i2c-0: nForce2 SMBus adapter at 0x4300                              
i2c-adapter i2c-1: nForce2 SMBus adapter at 0x4340                              
ACPI: PCI Interrupt Link [LAUI] enabled at IRQ 21                               
Intel ICH 0000:00:06.0: PCI INT A -> Link[LAUI] -> GSI 21 (level, high) -> IRQ 21                                                                               
Intel ICH 0000:00:06.0: setting latency timer to 64                             
intel8x0_measure_ac97_clock: measured 50690 usecs                               
intel8x0: clocking to 47398                                                     
udev: renamed network interface eth1 to eth0                                    
udev: renamed network interface eth0_rename to eth1                             
EXT3 FS on dm-0, internal journal                                               
kjournald starting.  Commit interval 5 seconds                                  
EXT3 FS on sda3, internal journal                                               
EXT3-fs: mounted filesystem with ordered data mode.                             
SELinux: initialized (dev sda3, type ext3), uses xattr                          
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs              
swap_cgroup: uses 1540 bytes of vmalloc for pointer array space and 1576960 bytes to hold mem_cgroup pointers on swap                                           
swap_cgroup can be disabled by noswapaccount boot option.                       
Adding 1574328k swap on /dev/sda5.  Priority:-1 extents:1 across:1574328k       
swap_cgroup: uses 1504 bytes of vmalloc for pointer array space and 1540096 bytes to hold mem_cgroup pointers on swap                                           
swap_cgroup can be disabled by noswapaccount boot option.                       
Adding 1540088k swap on /dev/mapper/VolGroup00-LogVol01.  Priority:-2 extents:1 across:1540088k                                                                 
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts   
NET: Registered protocol family 10                                              
lo: Disabled Privacy Extensions                                                 
ip6_tables: (C) 2000-2006 Netfilter Core Team                                   
RPC: Registered udp transport module.                                           
RPC: Registered tcp transport module.                                           
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts     
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts             
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts             
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts             
Bluetooth: Core ver 2.14                                                        
NET: Registered protocol family 31                                              
Bluetooth: HCI device and connection manager initialized                        
Bluetooth: HCI socket layer initialized                                         
Bluetooth: L2CAP ver 2.11                                                       
Bluetooth: L2CAP socket layer initialized                                       
Bluetooth: BNEP (Ethernet Emulation) ver 1.3                                    
Bluetooth: BNEP filters: protocol multicast                                     
Bridge firewalling registered                                                   
Bluetooth: SCO (Voice Link) ver 0.6                                             
Bluetooth: SCO socket layer initialized                                         
[drm] Initialized drm 1.1.0 20060810                                            
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 18                               
pci 0000:02:00.0: PCI INT A -> Link[LNKB] -> GSI 18 (level, high) -> IRQ 18     
[drm] Detected an NV30 generation card (0x034200a2)                             
[drm] Initialized nouveau 0.0.12 20060213 on minor 0                            
agpgart-nvidia 0000:00:00.0: AGP 3.0 bridge                                     
agpgart: Xorg tried to set rate=x12. Setting to AGP3 x8 mode.                   
agpgart-nvidia 0000:00:00.0: putting AGP V3 device into 8x mode                 
pci 0000:02:00.0: putting AGP V3 device into 8x mode                            
[drm] Allocating FIFO number 0                                                  
[drm] nouveau_fifo_alloc: initialised FIFO 0                                    
[drm] Allocating FIFO number 1                                                  
[drm] nouveau_fifo_alloc: initialised FIFO 1                                    
fuse init (API version 7.11)                                                    
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts                 
eth0: no link during initialization.                                            
ADDRCONF(NETDEV_UP): eth0: link is not ready                                    
eth0: link up.                                                                  
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready                               
------------[ cut here ]------------                                            
WARNING: at lib/dma-debug.c:461 check_unmap+0xf6/0x3d8() (Not tainted)          
Hardware name: System product name                                              
forcedeth 0000:00:04.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x000000001048ea72] [size=90 bytes]                
Modules linked in: fuse nouveau drm sco bridge stp llc bnep l2cap bluetooth autofs4 sunrpc nf_conntrack_netbios_ns iptable_nat nf_nat ip6t_REJECT ip6table_filter ip6_tables ipv6 uinput snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss i2c_nforce2 3c59x i2c_core snd_pcm forcedeth mii snd_timer snd usblp pcspkr soundcore snd_page_alloc pata_ali sata_vsc sata_svw sata_via pata_pcmcia sata_nv ata_generic pata_acpi pata_amd [last unloaded: scsi_wait_scan]                         
Pid: 0, comm: swapper Not tainted 2.6.29-0.159.rc6.git3.fc11.i586 #1            
Call Trace:                                                                     
[<c042fe03>] warn_slowpath+0x7c/0xa7                                           
[<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
[<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
[<c044ffed>] ? check_usage+0x29/0x20a                                          
[<c044f686>] ? mark_lock+0x1e/0x30b                                            
[<c054a200>] ? task_current_syscall+0x7a/0x8e                                  
[<c054a2ee>] ? get_hash_bucket+0x26/0x2f                                       
[<c054aa52>] check_unmap+0xf6/0x3d8                                            
[<c0430313>] ? release_console_sem+0x1a9/0x1d6                                 
[<c044f686>] ? mark_lock+0x1e/0x30b                                            
[<c054aea1>] debug_dma_unmap_page+0x5b/0x63                                    
[<c054aea1>] ? debug_dma_unmap_page+0x5b/0x63                                  
[<f0eea3e6>] T.907+0x34/0x3f [forcedeth]                                       
[<f0eea42c>] nv_tx_done+0x3b/0x187 [forcedeth]                                 
[<f0eea61c>] nv_nic_irq+0xa4/0x238 [forcedeth]                                 
[<c047105b>] handle_IRQ_event+0x22/0x58                                        
[<c047247c>] handle_fasteoi_irq+0x80/0xb7                                      
[<c04723fc>] ? handle_fasteoi_irq+0x0/0xb7                                     
<IRQ>  [<c04045ac>] ? common_interrupt+0x2c/0x40                               
[<c044fbc2>] ? trace_hardirqs_on+0xb/0xd                                       
[<c041b94c>] ? native_safe_halt+0xa/0xc                                        
[<c0409703>] ? default_idle+0x4f/0x89                                          
[<c044ee6d>] ? trace_hardirqs_off+0xb/0xd                                      
[<c0403010>] ? cpu_idle+0x72/0x92                                              
[<c06df85f>] ? rest_init+0x53/0x55                                             
---[ end trace 8157a52088604c67 ]---                                            
eth0: no IPv6 routers present                                                   
eth1:  setting half-duplex.                                                     
ADDRCONF(NETDEV_UP): eth1: link is not ready                                

I know rawhide kernels live a short life, but for a while, about a week, week and a half the network service is not working and I felt the need to file a bug.  I hope I am not the only one with this problem.  

Thanks
Comment 1 Antonio A. Olivares 2009-03-04 19:56:27 EST
Dear all,

I booted into slax live cd and it also failed to give me an ip.  Since I have windows installed on this machine, I logged into it and it also failed to give me an ip :(

C:\Documents and Settings\A. Olivarez>ipconfig /all

Windows IP Configuration

        Host Name . . . . . . . . . . . . : mr-y7o5ph52i1zt
        Primary Dns Suffix  . . . . . . . :
        Node Type . . . . . . . . . . . . : Hybrid
        IP Routing Enabled. . . . . . . . : No
        WINS Proxy Enabled. . . . . . . . : No

Ethernet adapter Local Area Connection 2:

        Connection-specific DNS Suffix  . :
        Description . . . . . . . . . . . : NVIDIA nForce MCP Networking Adapter

        Physical Address. . . . . . . . . : 00-0E-A6-42-59-AF
        Dhcp Enabled. . . . . . . . . . . : Yes
        Autoconfiguration Enabled . . . . : Yes
        Autoconfiguration IP Address. . . : 169.254.83.98
        Subnet Mask . . . . . . . . . . . : 255.255.0.0
        Default Gateway . . . . . . . . . :

Ethernet adapter Local Area Connection:

        Media State . . . . . . . . . . . : Media disconnected
        Description . . . . . . . . . . . : 3Com 3C905TX-based Ethernet Adapter
(Generic)
        Physical Address. . . . . . . . . : 00-60-97-C5-2A-C3

C:\Documents and Settings\A. Olivarez>ipconfig /release

Windows IP Configuration

No operation can be performed on Local Area Connection while it has its media di
sconnected.

Ethernet adapter Local Area Connection 2:

        Connection-specific DNS Suffix  . :
        IP Address. . . . . . . . . . . . : 0.0.0.0
        Subnet Mask . . . . . . . . . . . : 0.0.0.0
        Default Gateway . . . . . . . . . :

Ethernet adapter Local Area Connection:

        Media State . . . . . . . . . . . : Media disconnected

C:\Documents and Settings\A. Olivarez>ipconfig /renew

Windows IP Configuration

An error occurred while renewing interface Local Area Connection 2 : unable to c
ontact your DHCP server. Request has timed out.
No operation can be performed on Local Area Connection while it has its media di
sconnected.

C:\Documents and Settings\A. Olivarez>

So I checked the thing out, manually assigning an IP made it work, both in Slax, windows and in Fedora.  Turns out something/someone was occupying the ip of my machine and my machine could not get it :(, 


Microsoft Windows XP [Version 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

C:\Documents and Settings\A. Olivarez>ipconfig /all

Windows IP Configuration

        Host Name . . . . . . . . . . . . : mr-y7o5ph52i1zt
        Primary Dns Suffix  . . . . . . . :
        Node Type . . . . . . . . . . . . : Hybrid
        IP Routing Enabled. . . . . . . . : No
        WINS Proxy Enabled. . . . . . . . : No

Ethernet adapter Local Area Connection 2:

        Connection-specific DNS Suffix  . :
        Description . . . . . . . . . . . : NVIDIA nForce MCP Networking Adapter

        Physical Address. . . . . . . . . : 00-0E-A6-42-59-AF
        Dhcp Enabled. . . . . . . . . . . : Yes
        Autoconfiguration Enabled . . . . : Yes
        IP Address. . . . . . . . . . . . : 10.154.19.210
        Subnet Mask . . . . . . . . . . . : 255.255.255.0
        Default Gateway . . . . . . . . . : 10.154.19.1
        DHCP Server . . . . . . . . . . . : 10.154.16.130
        DNS Servers . . . . . . . . . . . : 10.128.0.4
                                            10.154.16.130
                                            10.128.0.129
        Primary WINS Server . . . . . . . : 10.154.16.130
        Lease Obtained. . . . . . . . . . : Wednesday, March 04, 2009 4:46:30 PM

        Lease Expires . . . . . . . . . . : Thursday, March 12, 2009 4:46:30 PM

Ethernet adapter Local Area Connection:

        Media State . . . . . . . . . . . : Media disconnected
        Description . . . . . . . . . . . : 3Com 3C905TX-based Ethernet Adapter
(Generic)
        Physical Address. . . . . . . . . : 00-60-97-C5-2A-C3

C:\Documents and Settings\A. Olivarez>

Now it does get it, so I will log into Fedora again and see if it works there and I'll report back :)
Comment 2 Antonio A. Olivares 2009-03-04 20:07:20 EST
Network started fine now in Fedora, I will update to latest 197 kernel, and see if it also works there :)

[root@localhost ~]# ifconfig -a   
eth0      Link encap:Ethernet  HWaddr 00:0E:A6:42:59:AF  
          inet addr:10.154.19.210  Bcast:10.154.19.255  Mask:255.255.255.0
          inet6 addr: fe80::20e:a6ff:fe42:59af/64 Scope:Link              
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1              
          RX packets:3063 errors:0 dropped:0 overruns:0 frame:0           
          TX packets:1435 errors:0 dropped:0 overruns:0 carrier:0         
          collisions:0 txqueuelen:1000                                    
          RX bytes:3819222 (3.6 MiB)  TX bytes:106591 (104.0 KiB)         
          Interrupt:22 Base address:0x6000                                

eth1      Link encap:Ethernet  HWaddr 00:60:97:C5:2A:C3  
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1                    
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0            
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0          
          collisions:0 txqueuelen:1000                                  
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)                        
          Interrupt:18 Base address:0xdf00                              

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:42 errors:0 dropped:0 overruns:0 frame:0
          TX packets:42 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:2404 (2.3 KiB)  TX bytes:2404 (2.3 KiB)

pan0      Link encap:Ethernet  HWaddr 5E:46:DE:8D:9E:BD
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@localhost ~]# service network status
Configured devices:
lo eth0 eth1
Currently active devices:
lo eth1 eth0
[root@localhost ~]#

network service does work, but I still see oops:
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready                               
------------[ cut here ]------------                                            
WARNING: at lib/dma-debug.c:461 check_unmap+0xf6/0x3d8() (Not tainted)          
Hardware name: System product name                                              
forcedeth 0000:00:04.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x000000002c675a12] [size=90 bytes]                
Modules linked in: nf_conntrack_netbios_ns iptable_nat nf_nat ip6t_REJECT ip6table_filter ip6_tables ipv6 uinput snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm pcspkr snd_timer snd soundcore forcedeth 3c59x snd_page_alloc mii usblp i2c_nforce2 i2c_core pata_ali sata_vsc sata_svw sata_via pata_pcmcia sata_nv ata_generic pata_acpi pata_amd [last unloaded: scsi_wait_scan]                 
Pid: 1852, comm: ifup-eth Not tainted 2.6.29-0.159.rc6.git3.fc11.i586 #1        
Call Trace:                                                                     
 [<c042fe03>] warn_slowpath+0x7c/0xa7                                           
 [<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
 [<c044e373>] ? find_usage_backwards+0xc8/0xea                                  
 [<c044ffed>] ? check_usage+0x29/0x20a                                          
 [<c044f686>] ? mark_lock+0x1e/0x30b                                            
 [<c054a200>] ? task_current_syscall+0x7a/0x8e                                  
 [<c054a2ee>] ? get_hash_bucket+0x26/0x2f                                       
 [<c054aa52>] check_unmap+0xf6/0x3d8                                            
 [<c044f686>] ? mark_lock+0x1e/0x30b                                            
 [<c054aea1>] debug_dma_unmap_page+0x5b/0x63                                    
 [<c054aea1>] ? debug_dma_unmap_page+0x5b/0x63                                  
 [<f0efc3e6>] T.907+0x34/0x3f [forcedeth]                                       
 [<f0efc42c>] nv_tx_done+0x3b/0x187 [forcedeth]                                 
 [<f0efc61c>] nv_nic_irq+0xa4/0x238 [forcedeth]                                 
 [<c047105b>] handle_IRQ_event+0x22/0x58                                        
 [<c047247c>] handle_fasteoi_irq+0x80/0xb7                                      
 [<c04723fc>] ? handle_fasteoi_irq+0x0/0xb7                                     
 <IRQ>  [<c04045ac>] ? common_interrupt+0x2c/0x40                               
 [<c044fbc2>] ? trace_hardirqs_on+0xb/0xd                                       
 [<c0446a3c>] ? release_tgcred+0xe/0x24                                         
 [<c04470dc>] ? put_cred_rcu+0x40/0x70                                          
 [<c0473413>] ? __rcu_process_callbacks+0x1c8/0x25d                             
 [<c04734cd>] ? rcu_process_callbacks+0x25/0x44                                 
 [<c0434d65>] ? __do_softirq+0x99/0x154                                         
 [<c0434ccc>] ? __do_softirq+0x0/0x154                                          
 <IRQ>  [<c0434a0c>] ? irq_exit+0x49/0x77                                       
 [<c04150aa>] ? smp_apic_timer_interrupt+0x6e/0x7c                              
 [<c040471d>] ? apic_timer_interrupt+0x2d/0x40                                  
---[ end trace dfbee4fc10ccae8c ]---      

Thanks,

Antonio
Comment 3 Antonio A. Olivares 2009-03-04 21:05:37 EST
I booted to 197 kernel, but no X :(

The network service works, I get IP so that appears to be solved(not kernel's problem), but there is still the following:

ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
------------[ cut here ]------------
WARNING: at lib/dma-debug.c:461 check_unmap+0xf6/0x3d8() (Not tainted)
Hardware name: System product name
forcedeth 0000:00:04.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x000000002bbce242] [size=90 bytes]
Modules linked in: nf_conntrack_netbios_ns iptable_nat nf_nat ip6t_REJECT ip6table_filter ip6_tables ipv6 uinput snd_intel8x0 snd_ac97_codec ac97_bus pcspkr snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm 3c59x mii snd_timer snd i2c_nforce2 soundcore snd_page_alloc forcedeth usblp pata_ali sata_vsc sata_svw sata_via pata_pcmcia sata_nv ata_generic pata_acpi pata_amd nouveau drm i2c_core [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Not tainted 2.6.29-0.197.rc7.fc11.i586 #1
Call Trace:
 [<c042fe33>] warn_slowpath+0x7c/0xa7
 [<c044e433>] ? find_usage_backwards+0xc8/0xea
 [<c044e433>] ? find_usage_backwards+0xc8/0xea
 [<c04500ad>] ? check_usage+0x29/0x20a
 [<c044f746>] ? mark_lock+0x1e/0x30b
 [<c054a400>] ? check_for_stack+0x55/0x7d
 [<c054a44e>] ? get_hash_bucket+0x26/0x2f
 [<c054abb2>] check_unmap+0xf6/0x3d8
 [<c0430343>] ? release_console_sem+0x1a9/0x1d6
 [<c044f746>] ? mark_lock+0x1e/0x30b
 [<c054b001>] debug_dma_unmap_page+0x5b/0x63
 [<c054b001>] ? debug_dma_unmap_page+0x5b/0x63
 [<f20253ed>] T.908+0x34/0x3f [forcedeth]
 [<f2025433>] nv_tx_done+0x3b/0x187 [forcedeth]
 [<f2025623>] nv_nic_irq+0xa4/0x238 [forcedeth]
 [<c0471177>] handle_IRQ_event+0x22/0x58
 [<c0472598>] handle_fasteoi_irq+0x80/0xb7
 [<c0472518>] ? handle_fasteoi_irq+0x0/0xb7
 <IRQ>  [<c04045ac>] ? common_interrupt+0x2c/0x40
 [<c044fc82>] ? trace_hardirqs_on+0xb/0xd
 [<c041b94c>] ? native_safe_halt+0xa/0xc
 [<c0409703>] ? default_idle+0x4f/0x89
 [<c044ef2d>] ? trace_hardirqs_off+0xb/0xd
 [<c0403010>] ? cpu_idle+0x72/0x92
 [<c06dfde0>] ? rest_init+0x58/0x5a
---[ end trace 1236e4b9bc601b91 ]---
eth0: no IPv6 routers present


So I am not sure that the illness is not cured?

Thanks,

Antonio
Comment 4 Edouard Bourguignon 2009-03-31 03:24:58 EDT
bug still here with 2.6.29-16.fc11.x86_64
Comment 5 Edouard Bourguignon 2009-04-01 02:38:25 EDT
same problem on 2.6.29-21.fc11.x86_64. This bug prevents computer to reboot.
Comment 6 Bug Zapper 2009-06-09 07:45:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 09:04:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:22:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.